SOURCES: VirtualBox-vboxvfs.init (NEW) - init script for loading vboxvfs ke...
hawk
hawk at pld-linux.org
Mon Nov 24 11:53:16 CET 2008
Author: hawk Date: Mon Nov 24 10:53:16 2008 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- init script for loading vboxvfs kernel module (regular users may use VirtualBox
but they are not allowed to load kernel modules so lets system do it at startup)
---- Files affected:
SOURCES:
VirtualBox-vboxvfs.init (NONE -> 1.1) (NEW)
---- Diffs:
================================================================
Index: SOURCES/VirtualBox-vboxvfs.init
diff -u /dev/null SOURCES/VirtualBox-vboxvfs.init:1.1
--- /dev/null Mon Nov 24 11:53:17 2008
+++ SOURCES/VirtualBox-vboxvfs.init Mon Nov 24 11:53:11 2008
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# virtualbox VirtualBox virtualizer for x86 hardware
+#
+# chkconfig: 345 84 25
+#
+# description: InnoTek VirtualBox is a general-purpose full virtualizer for x86
+# hardware. Targeted at server, desktop and embedded use.
+#
+# $Id$
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+VBOX_DEVICE="/dev/vboxvfs"
+VBOX_MODULE="vboxvfs"
+
+# Get service config - may override defaults
+[ -f /etc/sysconfig/virtualbox ] && . /etc/sysconfig/virtualbox
+
+start() {
+ if [ ! -f /var/lock/subsys/vboxvfs ]; then
+ modprobe -s $VBOX_MODULE
+ # set proper /dev/vboxdrv for systems with static dev
+ touch /var/lock/subsys/vboxvfs
+ fi
+}
+
+stop() {
+ # NOTE: rmmod will wait if device is in use, so automatic rmmod probably not the best idea
+ /sbin/rmmod $VBOX_MODULE
+ rm -f /var/lock/subsys/vboxvfs
+}
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ status)
+ if ! is_module $VBOX_MODULE; then
+ echo "$VBOX_MODULE module is loaded"
+ else
+ echo "$VBOX_MODULE module is not loaded"
+ RETVAL=3
+ fi
+ ;;
+ *)
+ msg_usage "$0 {start|stop|restart|status}"
+ exit 3
+esac
+
+exit $RETVAL
================================================================
More information about the pld-cvs-commit
mailing list